package com.om.controller.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.dto.AppBaseDTO;
import com.om.entity.po.Manual;
import com.om.entity.vo.ManualVO;
import com.om.service.IManualService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;


@RestController
@RequestMapping("app/manual")
@Api(tags = "使用手册管理模块")
public class APPManualController {
    private final IManualService manualService;

    @Autowired
    public APPManualController(IManualService manualService) {
        this.manualService = manualService;
    }

    @PostMapping("getByLang")
    @ApiOperation("根据语言获取诊断仪使用说明H5")
    public Result<Manual> AppGetByLang(@RequestBody AppBaseDTO dto){
        return manualService.AppGetByLang(dto);
    }

}
