package com.om.controller.user;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.vo.BrandVO;
import com.om.service.IBrandService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/app/brand")
@Api(tags = "app端品牌相关接口")
public class APPBrandController {

    @Resource
    private IBrandService brandService;


    @PostMapping("getList")
    public Result<List<BrandVO>> getAPPList(@RequestBody AppBaseDTO dto){
       return brandService.getAPPList(dto);
    }

}
